#include <iostream>
#include <algorithm>
#include <vector>

#define let auto
#define fn auto
#define usize size_t
using namespace std;

const usize MOD = 1'000'000'007;

fn fastio() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
}

/**
 * 
 */
fn main() -> int {
    usize t;
    usize n;
    usize k;
    usize ret;
    cout << (1 ^ 2) << endl;
    return 0;
    cin >> t;
    
    /**
     * 
     * xor0이 가능한 클러스터 X1, X2에 대해서
     * X1과 X2를 연결한 클러스터 X1-X2도 동일한 속성을 만족하는 클러스터임.
     * xor0이 가능한 최소 클러스터 크기는 1임 
     * 1
     * { 1 2 3 }이 가능한클러스터군... 죽고 싶다
     * { 0, 0 } {1, 1}, {2, 2} (자유도 만큼) k + 1
     * {0, 0, 0}, {0, 1, 1}, {1, 0, 1}, {1, 1, 0}, {0, 2, 2}, {1, 1, 0}, 3 * k + 1
     * { 0011 } {0022} {0033} {1122} {1133} {2233} {0000}{1111}{2222}{3333}
     */
    while (t--) {
        cin >> n >> k;
        if (k == 0) {
            ret = 1;
        } else {



        }

        cout << ret << "\n";
    }
}